nsDeviceContextMac: redundant implementation of nsISupports

VERIFIED FIXED

Status

P3
normal
VERIFIED FIXED
19 years ago
10 years ago

People

(Reporter: beard, Assigned: dcone)

Tracking

Trunk
PowerPC
All

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

19 years ago
nsDeviceContextMac has extra implementations of QueryInterface, AddRef, Release, 
and an additional mRefCnt field. Here're patches that remove them:

Index: mozilla/gfx/src/mac/nsDeviceContextMac.h
===================================================================
RCS file: /cvsroot/mozilla/gfx/src/mac/nsDeviceContextMac.h,v
retrieving revision 1.34
diff -c -2 -r1.34 nsDeviceContextMac.h
*** nsDeviceContextMac.h	2000/03/11 03:07:25	1.34
--- nsDeviceContextMac.h	2000/03/12 16:44:01
***************
*** 38,43 ****
    nsDeviceContextMac();
  
- 	NS_DECL_ISUPPORTS_INHERITED
- 
    NS_IMETHOD  Init(nsNativeWidget aNativeWidget);  
  
--- 38,41 ----

Index: mozilla/gfx/src/mac/nsDeviceContextMac.cpp
===================================================================
RCS file: /cvsroot/mozilla/gfx/src/mac/nsDeviceContextMac.cpp,v
retrieving revision 1.64
diff -c -2 -r1.64 nsDeviceContextMac.cpp
*** nsDeviceContextMac.cpp	2000/02/04 23:02:22	1.64
--- nsDeviceContextMac.cpp	2000/03/12 16:43:29
***************
*** 70,77 ****
  //------------------------------------------------------------------------
  
- NS_IMPL_QUERY_INTERFACE(nsDeviceContextMac, kDeviceContextIID);
- NS_IMPL_ADDREF(nsDeviceContextMac);
- NS_IMPL_RELEASE(nsDeviceContextMac);
- 
  /** ---------------------------------------------------
   *  See documentation in nsIDeviceContext.h
--- 70,73 ----
(Assignee)

Comment 1

19 years ago
Have a fix in my tree.  When the nsDeviceContext impl class was made, the 
nsISupports was moved there.. and overlooked was removing it from the Mac.  This 
may be a problem on other platforms also.., Pavlov or Waqar can you check in the 
nsDeviceContextGTK to see if this has been taken care of.  Thanx
Status: NEW → ASSIGNED

Comment 2

19 years ago
Yes, I don't see these calls in the nsDeviceContextGTK.[cpp,h]. the only thing 
that stands out is NS_IMPL_ISUPPORTS1(nsDeviceContextGTK, nsIDeviceContext).
(Assignee)

Comment 3

19 years ago
All taken care of on the Mac. Thanx Waqar
Status: ASSIGNED → RESOLVED
Last Resolved: 19 years ago
Resolution: --- → FIXED

Comment 4

19 years ago
i'll fix unix

Comment 5

19 years ago
Marking this verified fixed per last comments.
Status: RESOLVED → VERIFIED
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.